<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";
include THEME."theme_functions.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<table cellpadding='0' cellspacing='0' align='center' width='980'>\n<tr>\n";
	echo "<td class='tlo_logos' rowspan='5' width='290' height='240'></td>\n";
	echo "<td width='690' height='55' class='tlo_top' colspan='4'>";
	echo "<table align='right' cellspacing='0' cellpadding='0' class='search' width='280' height='26'><tr><td width='30px'></td><td>
	<form name='searchform' method='get' action='".BASEDIR."search.php'>
	<input type='textbox' class='searchbox' name='stext'></form></td></tr></table>";
	echo "</td></tr>\n";
	echo "<tr><td height='9' colspan='4' class='brown' width='690'></td></tr>";
	echo "<tr><td height='10' class='dark_brown' width='22'></td><td class='dark_brown' width='638'></td><td class='dark_brown' width='21'></td><td width='9' rowspan='3' class='brown'></td></tr>";
	echo "<tr><td height='155' class='dark_brown'></td><td class='intro'></td><td class='dark_brown'></td></tr>";
	echo "<tr><td height='11' class='dark_brown'></td><td class='dark_brown'></td><td class='dark_brown'></td></tr>";
	echo "</table></table>\n";
	
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' align='center' width='980'>\n<tr>\n";
	echo "<td width='11'></td>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "<td width='9' class='brown'></td></tr>\n</table>\n";
	
	//Footer
	echo "<table cellspacing='0' align='center' width='980' height='37' cellpadding='0'>";
	echo "<tr><td rowspan='2' width='290' class='footer_left' align='center'><span style='color:#89766E'>Zaadowano w ".sprintf(substr((get_microtime() - START_TIME),0,4))." sek.</span>";
	echo "</td><td colspan='4' height='9' class='brown'>";
	echo "</td></tr>";
	echo "<tr><td height='26' colspan='4' align='center'><span style='color:#68544D'>".showcopyright()."<br />Theme by 
	<a href='http://web-kreation.com/' class='footer'>Web-Kreation</a> | Ported by <a href='mailto:diablo9983@gmail.com' class='footer'>Diabolique</a></span></td></tr>";
	echo "</table><br><br>";
}


function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='97%'><tr><td width='80' valign='top' align='center' rowspan='5'>";
	echo "<table class='date' width='50' height='54' cellpadding='0' cellspacing='0'>
	<tr><td align='center' height='20'><span style='font-size: 15px;color: #FFFFFF;font-weight: bold'>".mies_news($info)."</td></tr>
	<tr><td align='center'  height='34'><span style='font-size: 30px;color: #000000;'>".dzien_news($info)."</span></td></tr>
	</table>";
	echo "</td><td>";
	echo "<span style='font-size:21px'>$subject</span>";
	echo "</td></tr>";
	echo "<tr><td><hr></td></tr>";
	echo "<tr><td><table><tr><td valign='center'><img src='".THEME."images/author.jpg'> </td><td valign='center'> Autor: ".autor_news($info).enews("N",$info['news_id'])."</td></tr></table><br /><br /></td></tr>";
	echo "<tr><td><span style='font-size:15px'>$news</span></td></tr>";
	echo "<tr><td><br>";
	echo "<table width='100%' cellpadding='3' cellspacing='0' class='com_entry'>
	".com_news($info).readmore_news($info)."
	</table><br /><br /><br />";
	echo "</td></tr>";
	echo "</table>";
}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' align='center' width='97%'>\n<tr>\n";
	echo "<td class='tbl_title' >".$title."</span></td>\n";
	echo "</tr><tr><td><hr></td></tr>\n</table>\n";
	echo "<table cellpadding='0' align='center' cellspacing='0' width='97%' >\n<tr>\n";
	echo "<td>\n";

}


function closetable() {

	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "\n";
	echo "</tr>\n<tr><td><br /><br /></td></tr></table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	echo "<td class='side-body'><span style='font-size: 17px;color:#F5F1C2'>&nbsp;$title</span><br /><br /><span style='color:#E4E18A;font-size:15px;'>\n";	


}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</span></td>\n</tr>\n</table>\n";

}
?>
