<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme_functions_include.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

function com_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	if ($info['news_allow_comments']) $res .= "<tr><td width='10'><img src='".THEME."images/comment.jpg'></td><td>".$link_class.$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])." </td></tr>";
	return "<!--news_poster-->".$res;
}

function mies_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = showdate("%b", $info['news_date']);
	return "<!--news_poster-->".$res;
}

function dzien_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = showdate("%d", $info['news_date']);
	return "<!--news_poster-->".$res;
}

function autor_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res .= "<a href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a> ";
	return "<!--news_poster-->".$res;
}

function readmore_news($info, $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") $res = "<tr><td width='10'><img src='".THEME."images/categories.jpg'></td><td><a href='news.php?readmore=".$info['news_id']."'".$link_class.">".$locale['global_072']."</a> </td></tr>";
	return "<!--news_opts-->".$res;
}

function enews($item_type, $item_id) {
	global $locale, $aidlink; $res = "";
	if ($item_type == "N") {
		if (iADMIN && checkrights($item_type)) { $res .= "<!--article_news_opts--> |<a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$item_id."'> Edytuj Newsa</a>\n"; }
	} elseif ($item_type == "A") {
	if (iADMIN && checkrights($item_type)) { $res .= "<!--article_admin_opts--> &middot; <a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$item_id."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a>\n"; }
	}
	return $res;
}
?>